Skip to main content
POST
Validate a manual-interaction import mapping

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

import_id
integer
required

Import id.

Body

application/json

Request fields accepted by this operation. Omitted optional properties retain the behavior described above.

mappings
object
required
header_offset
integer | null

Validation: nullable|integer|min:0|max:100.

Required range: 0 <= x <= 100
has_header
boolean | null

Validation: nullable|boolean.

generate_ai_summaries
boolean | null

Validation: nullable|boolean.

use_ai_summary_as_title
boolean | null

Validation: nullable|boolean.

duplicate_mode
enum<string> | null

Validation: nullable|in:skip,update,create_new.

Available options:
skip,
update,
create_new,
null
default_visibility
enum<string> | null

Validation: nullable|in:private,metadata,shared,team.

Available options:
private,
metadata,
shared,
team,
null
default_shared_group_id
integer | null

Validation: nullable|integer.

counts_as_touch
boolean | null

Validation: nullable|boolean.

historical_backfill
boolean | null

Validation: nullable|boolean.

source_system
string | null

Validation: nullable|string|max:64.

Maximum string length: 64

Response

Validate a manual-interaction import mapping response.

data
object